
D4Science Infrastructure - VM Creation #11030

Task # 8750 (Closed): Create Accounting Service Cluster

Please Create VM to install Accounting Service - 3

Jan 24, 2018 11:30 AM - Roberto Cirillo

Status: Closed Start date: Jan 24, 2018

Priority: High Due date: Jan 28, 2018

Assignee: Luca Frosini % Done: 100%

Target version: D4Science infrastructure upgrade to

4.10.0

  

Infrastructure: Production Applications list and

version:

 

RAM: 2 Applications context

path:

 

CPU: 2 External storage data

disk:

 

DiskSpace: 10 Smartgears auth

connector:

 

Smartgears: Yes data transfer

enabled:

No

Smartgears Version: latest PostgreSQL

database:

No

Application

Instructions:

 Number of VMs: 1

Smartgears scopes: /root

/root/allVOs 

please add to container.xml this tag

<authorizeChildrenContext>true</authori

zeChildrenContext>

  

Description

It's needed to have another instance of accounting service for production environment.

Since this service has been tested in preproduction environment with open-jdk, we should install open-jdk instead of oracle-jdk, if the

openjdk version is < "1.8.0_161" (#11020). In preproduction environment, this service works with openjdk version "1.8.0_141".

Related issues:

Copied from D4Science Infrastructure - VM Creation #8756: Please Create VM to... Closed May 25, 2017 Jun 05, 2017

History

#1 - Jan 24, 2018 11:30 AM - Roberto Cirillo

- Copied from VM Creation #8756: Please Create VM to install Accounting Service - 2 added

#2 - Jan 25, 2018 06:08 PM - Tommaso Piccioli

- Status changed from New to In Progress

- % Done changed from 0 to 50

New VM accounting-service3.d4science.org running, to be provisioned.

#3 - Jan 25, 2018 06:36 PM - Andrea Dell'Amico

@luca.frosini@isti.cnr.it if we are going to install the same version of the service that has just been installed in dev, I need to change the haproxy

check and upgrade the other two nodes to the same accounting-service release. Is it OK?
#4 - Jan 25, 2018 08:22 PM - Andrea Dell'Amico

- % Done changed from 50 to 90

accounting-service3.d4science.org has been provisioned. Please check and let me know about the other two servers and the haproxy check.

#5 - Jan 26, 2018 10:36 AM - Roberto Cirillo

- Status changed from In Progress to Feedback

- Assignee changed from _InfraScience Systems Engineer to Luca Frosini

It seems to work properly. I assign this ticket to @luca.frosini@isti.cnr.it for further check

#6 - Jan 26, 2018 10:48 AM - Luca Frosini

I seems working properly.

ab -n 10000 -C 10 -T 'application/json' -p ~/workspace/Varie/accounting-data-simple.txt -H 'gcube-token: XXXXX

XXXXXXXXX'  https://accounting-service3.d4science.org:443/accounting-service/record  

This is ApacheBench, Version 2.3 <$Revision: 1796539 $>

Copyright 1996 Adam Twiss, Zeus Technology Ltd, http://www.zeustech.net/

Licensed to The Apache Software Foundation, http://www.apache.org/

Benchmarking accounting-service3.d4science.org (be patient)

Completed 1000 requests

Completed 2000 requests

Completed 3000 requests

Completed 4000 requests

Completed 5000 requests

Completed 6000 requests

Completed 7000 requests

Completed 8000 requests

Completed 9000 requests

Completed 10000 requests

Finished 10000 requests

Server Software:        nginx

Server Hostname:        accounting-service3.d4science.org

Server Port:            443

SSL/TLS Protocol:       TLSv1.2,ECDHE-RSA-AES128-GCM-SHA256,2048,128

TLS Server Name:        accounting-service3.d4science.org

Document Path:          /accounting-service/record

Document Length:        0 bytes

Concurrency Level:      1

Time taken for tests:   52.065 seconds

Complete requests:      10000

Failed requests:        0

Total transferred:      1590000 bytes

Total body sent:        7940000

HTML transferred:       0 bytes

Requests per second:    192.07 [#/sec] (mean)

Time per request:       5.206 [ms] (mean)

Time per request:       5.206 [ms] (mean, across all concurrent requests)

Transfer rate:          29.82 [Kbytes/sec] received

                        148.93 kb/s sent

                        178.75 kb/s total

Connection Times (ms)

              min  mean[+/-sd] median   max

Connect:        3    4   1.2      3      23

Processing:     1    1   1.3      1      83

Waiting:        0    1   1.3      1      83

Total:          4    5   1.8      5      86

Percentage of the requests served within a certain time (ms)

  50%      5

  66%      5

  75%      5

  80%      5

  90%      7

  95%      8
  98%     10

  99%     12

 100%     86 (longest request)

#7 - Jan 26, 2018 10:48 AM - Luca Frosini

- Status changed from Feedback to Closed

#8 - Jan 26, 2018 12:44 PM - Andrea Dell'Amico

- Status changed from Closed to In Progress

- Assignee changed from Luca Frosini to Andrea Dell'Amico

@luca.frosini@isti.cnr.it I'm going to reconfigure accounting-service[1:2] and change the haproxy configuration, then.

#9 - Jan 26, 2018 02:04 PM - Andrea Dell'Amico

- Status changed from In Progress to Feedback

- % Done changed from 90 to 100

All the hosts have been configured and the haproxy configuration updated.

#10 - Feb 06, 2018 05:04 PM - Roberto Cirillo

- Assignee changed from Andrea Dell'Amico to Luca Frosini

Please, could you check and close the ticket if it works properly?

#11 - Feb 07, 2018 04:24 PM - Luca Frosini

- Status changed from Feedback to Closed

I tested successfully again all service instance and haproxy instace. Here is the results.

$ ab -n 10000 -C 10 -T 'application/json' -p ~/workspace/Varie/accounting-data-simple.txt -H 'gcube-token: 18f

ed2d9-030b-4c77-93af-af2015d945f7-843339462' https://accounting-service1.d4science.org:443/accounting-service/

record  

This is ApacheBench, Version 2.3 <$Revision: 1796539 $>

Copyright 1996 Adam Twiss, Zeus Technology Ltd, http://www.zeustech.net/

Licensed to The Apache Software Foundation, http://www.apache.org/

Benchmarking accounting-service1.d4science.org (be patient)

Completed 1000 requests

Completed 2000 requests

Completed 3000 requests

Completed 4000 requests

Completed 5000 requests

Completed 6000 requests

Completed 7000 requests

Completed 8000 requests

Completed 9000 requests

Completed 10000 requests

Finished 10000 requests

Server Software:        nginx

Server Hostname:        accounting-service1.d4science.org

Server Port:            443

SSL/TLS Protocol:       TLSv1.2,ECDHE-ECDSA-AES128-GCM-SHA256,256,128

TLS Server Name:        accounting-service1.d4science.org

Document Path:          /accounting-service/record

Document Length:        0 bytes

Concurrency Level:      1

Time taken for tests:   61.038 seconds

Complete requests:      10000

Failed requests:        0

Total transferred:      1590000 bytes

Total body sent:        7940000

HTML transferred:       0 bytes

Requests per second:    163.83 [#/sec] (mean)
Time per request:       6.104 [ms] (mean)

Time per request:       6.104 [ms] (mean, across all concurrent requests)

Transfer rate:          25.44 [Kbytes/sec] received

                        127.03 kb/s sent

                        152.47 kb/s total

Connection Times (ms)

              min  mean[+/-sd] median   max

Connect:        2    3   3.2      3     133

Processing:     1    3  81.7      1    8123

Waiting:        1    3  81.7      1    8123

Total:          3    6  81.8      5    8126

Percentage of the requests served within a certain time (ms)

  50%      5

  66%      5

  75%      5

  80%      5

  90%      5

  95%      6

  98%      8

  99%     12

 100%   8126 (longest request)

$ ab -n 10000 -C 10 -T 'application/json' -p ~/workspace/Varie/accounting-data-simple.txt -H 'gcube-token: 18f

ed2d9-030b-4c77-93af-af2015d945f7-843339462' https://accounting-service2.d4science.org:443/accounting-service/

record  

This is ApacheBench, Version 2.3 <$Revision: 1796539 $>

Copyright 1996 Adam Twiss, Zeus Technology Ltd, http://www.zeustech.net/

Licensed to The Apache Software Foundation, http://www.apache.org/

Benchmarking accounting-service2.d4science.org (be patient)

Completed 1000 requests

Completed 2000 requests

Completed 3000 requests

Completed 4000 requests

Completed 5000 requests

Completed 6000 requests

Completed 7000 requests

Completed 8000 requests

Completed 9000 requests

Completed 10000 requests

Finished 10000 requests

Server Software:        nginx

Server Hostname:        accounting-service2.d4science.org

Server Port:            443

SSL/TLS Protocol:       TLSv1.2,ECDHE-ECDSA-AES128-GCM-SHA256,256,128

TLS Server Name:        accounting-service2.d4science.org

Document Path:          /accounting-service/record

Document Length:        0 bytes

Concurrency Level:      1

Time taken for tests:   42.303 seconds

Complete requests:      10000

Failed requests:        0

Total transferred:      1590000 bytes

Total body sent:        7940000

HTML transferred:       0 bytes

Requests per second:    236.39 [#/sec] (mean)

Time per request:       4.230 [ms] (mean)

Time per request:       4.230 [ms] (mean, across all concurrent requests)

Transfer rate:          36.70 [Kbytes/sec] received

                        183.29 kb/s sent

                        220.00 kb/s total

Connection Times (ms)

              min  mean[+/-sd] median   max

Connect:        2    3   0.5      3      14

Processing:     1    1   5.9      1     489

Waiting:        1    1   5.9      1     489

Total:          3    4   5.9      4     494
Percentage of the requests served within a certain time (ms)

  50%      4

  66%      4

  75%      4

  80%      4

  90%      5

  95%      5

  98%      5

  99%      6

 100%    494 (longest request)

$ ab -n 10000 -C 10 -T 'application/json' -p ~/workspace/Varie/accounting-data-simple.txt -H 'gcube-token: 18f

ed2d9-030b-4c77-93af-af2015d945f7-843339462' https://accounting-service3.d4science.org:443/accounting-service/

record  

This is ApacheBench, Version 2.3 <$Revision: 1796539 $>

Copyright 1996 Adam Twiss, Zeus Technology Ltd, http://www.zeustech.net/

Licensed to The Apache Software Foundation, http://www.apache.org/

Benchmarking accounting-service3.d4science.org (be patient)

Completed 1000 requests

Completed 2000 requests

Completed 3000 requests

Completed 4000 requests

Completed 5000 requests

Completed 6000 requests

Completed 7000 requests

Completed 8000 requests

Completed 9000 requests

Completed 10000 requests

Finished 10000 requests

Server Software:        nginx

Server Hostname:        accounting-service3.d4science.org

Server Port:            443

SSL/TLS Protocol:       TLSv1.2,ECDHE-RSA-AES128-GCM-SHA256,2048,128

TLS Server Name:        accounting-service3.d4science.org

Document Path:          /accounting-service/record

Document Length:        0 bytes

Concurrency Level:      1

Time taken for tests:   52.890 seconds

Complete requests:      10000

Failed requests:        0

Total transferred:      1590000 bytes

Total body sent:        7940000

HTML transferred:       0 bytes

Requests per second:    189.07 [#/sec] (mean)

Time per request:       5.289 [ms] (mean)

Time per request:       5.289 [ms] (mean, across all concurrent requests)

Transfer rate:          29.36 [Kbytes/sec] received

                        146.60 kb/s sent

                        175.96 kb/s total

Connection Times (ms)

              min  mean[+/-sd] median   max

Connect:        3    4   0.9      4      66

Processing:     1    1   3.8      1     332

Waiting:        1    1   3.8      1     332

Total:          4    5   3.9      5     336

Percentage of the requests served within a certain time (ms)

  50%      5

  66%      5

  75%      5

  80%      6

  90%      6

  95%      7

  98%      7

  99%      7

 100%    336 (longest request)

ab -n 10000 -C 10 -T 'application/json' -p ~/workspace/Varie/accounting-data-simple.txt -H 'gcube-token: 18fed

2d9-030b-4c77-93af-af2015d945f7-843339462' https://accounting-service.d4science.org:443/accounting-service/rec
ord  

This is ApacheBench, Version 2.3 <$Revision: 1796539 $>

Copyright 1996 Adam Twiss, Zeus Technology Ltd, http://www.zeustech.net/

Licensed to The Apache Software Foundation, http://www.apache.org/

Benchmarking accounting-service.d4science.org (be patient)

Completed 1000 requests

Completed 2000 requests

Completed 3000 requests

Completed 4000 requests

Completed 5000 requests

Completed 6000 requests

Completed 7000 requests

Completed 8000 requests

Completed 9000 requests

Completed 10000 requests

Finished 10000 requests

Server Software:        nginx

Server Hostname:        accounting-service.d4science.org

Server Port:            443

SSL/TLS Protocol:       TLSv1.2,ECDHE-ECDSA-AES128-GCM-SHA256,256,128

TLS Server Name:        accounting-service.d4science.org

Document Path:          /accounting-service/record

Document Length:        0 bytes

Concurrency Level:      1

Time taken for tests:   66.685 seconds

Complete requests:      10000

Failed requests:        0

Total transferred:      1590000 bytes

Total body sent:        7930000

HTML transferred:       0 bytes

Requests per second:    149.96 [#/sec] (mean)

Time per request:       6.668 [ms] (mean)

Time per request:       6.668 [ms] (mean, across all concurrent requests)

Transfer rate:          23.28 [Kbytes/sec] received

                        116.13 kb/s sent

                        139.41 kb/s total

Connection Times (ms)

              min  mean[+/-sd] median   max

Connect:        3    3   0.6      4      23

Processing:     2    3   5.7      3     328

Waiting:        2    3   5.3      3     328

Total:          5    7   5.8      6     332

WARNING: The median and mean for the initial connection time are not within a normal deviation

        These results are probably not that reliable.

Percentage of the requests served within a certain time (ms)

  50%      6

  66%      6

  75%      7

  80%      7

  90%      7

  95%      7

  98%     10

  99%     13

 100%    332 (longest request)

 I'm going to close the ticket
